const CategoryModel = require("../model/CategoryModel");
const ProductModel = require("../model/ProductModel");

//CURD Operation
const getCategories = async (req, res) => {
  await ProductModel.find({})
    .select({ category: 1, _id: 0 })
    .distinct("category")
    .then((response) => res.status(200).json(response))
    .catch((error) => res.status(400).send("Error message is\n" + error));
};

module.exports = {
  getCategories,
};
